<?php
include_once "test-conn.php";

$qid=is_numeric($_GET['qid'])?$_GET['qid']:exit('No Qid!');
$result = mysql_query("SELECT * FROM {$tableqz}qqs where qid='{$qid}' and islw>0 and sidzt=0 limit 1");
if($row=mysql_fetch_array($result)){
	$uin=$row['qq'];
	$now=date("Y-m-d-H:i:s");
	$next=date("Y-m-d H:i:s",time()+60*60*8-10);
	@mysql_query("update {$tableqz}qqs set lastlw='$now',nextlw='$next' where qid='$qid'");
	include_once "qzone.class.php";
	$result = mysql_query("SELECT * FROM {$tableqz}qqs where sidzt=0 order by rand()");
	while($qq=mysql_fetch_array($result)){
		$qid=$qq['qid'];
		$con=get_con();
	$qzone=new qzone($qq['qq'],$qq['sid'],$qq['skey'],$qq['pskey'],$qq['pskey2']);
		$qzone->gift($uin,$con);
		$row=$qq;
		$hms=$qzone->msg;
		$arr = json_decode($hms, true);
		if($arr['code']==0){
			echo "送礼物成功！";
		}elseif($arr['code']==-3000){
			echo "请先登录";
		}else{
			echo "送礼物失败！";
			}
	echo '<br/>';
		include_once "mail.php";
	}


}else{
	exit('请开启礼物互刷功能');
}

